# convertType

Assigns the value from src to dst and changes the attributes while doing that.

          typedef void* TypeInstanceID;
    typedef void* TypeAttributesInstanceID;

    	void convertType
    	TypeInstanceID destination
    	TypeInstanceID source
    	TypeAttributesInstanceID attributes

## Arguments

`destination`

  The value of this type object is changed to the one of `destination` and the attributes of `source` will then equal `attributes`.

`source`

  The value of this type objects is assigned to `destination` while changing the attributes to `attributes`. The type insance `source` stays unchanged.

`attributes`

  These attributes are the new attributes of `destination`.

## Description

The `changeAttributes` converts the value of the `source` type instance to the `attributes` and assigns the result to the `destination` instance.

This function is optional. Types with attributes must also implement the `attributesEqual` function.